<?xml version="1.0"?>
<doc>
    <members>
        <member name="M:CrystalDecisions.Enterprise.Desktop.BinaryProgram.AddFile(System.Object)">
            <summary> 
            Add an auxiliary file 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.BinaryProgram.UserName">
            <summary> 
            Set user name 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.BinaryProgram.Args">
            <summary> 
            Set program arguments 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.BinaryProgram.WorkingDir">
            <summary> 
            Set working directory 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.BinaryProgram.EnvironmentVars">
            <summary> 
            Set environment variables 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.BinaryProgram.ExternalDependencies">
            <summary> 
            Set external dependencies 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.BinaryProgram.File">
            <summary> 
            Set file to process 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.BinaryProgram.FileName">
            <summary> 
            Get name of file to be processed 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.BinaryProgram.FileNames">
            <summary> 
            Get names of all files 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.BinaryProgram.Password">
            <summary> 
            Set password 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.BinaryProgram.HasPassword">
            <summary> 
            Check if password exists 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.BinaryProgram.IsPasswordNotEmpty">
            <summary> 
            Check if the password is not empty 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.JavaProgram.UserName">
            <summary> 
            Set user name 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.JavaProgram.Args">
            <summary> 
            Set program arguments 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.JavaProgram.WorkingDir">
            <summary> 
            Set working directory 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.JavaProgram.Classpath">
            <summary> 
            Set Classpath 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.JavaProgram.MainClass">
            <summary> 
            Set class to run 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.JavaProgram.File">
            <summary> 
            Set file to process 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.JavaProgram.FileName">
            <summary> 
            Get name of file to be processed 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.JavaProgram.Password">
            <summary> 
            Set password 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.JavaProgram.HasPassword">
            <summary> 
            Check if password exists 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.JavaProgram.IsPasswordNotEmpty">
            <summary> 
            Check if the password is not empty 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ScriptProgram.UserName">
            <summary> 
            Set user name 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ScriptProgram.Args">
            <summary> 
            Set program arguments 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ScriptProgram.WorkingDir">
            <summary> 
            Set working directory 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ScriptProgram.File">
            <summary> 
            Set file to process 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ScriptProgram.FileName">
            <summary> 
            Get name of file to be processed 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ScriptProgram.Password">
            <summary> 
            Set password 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ScriptProgram.HasPassword">
            <summary> 
            Check if password exists 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ScriptProgram.IsPasswordNotEmpty">
            <summary> 
            Check if the password is not empty 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ProgramGlobal.RunBinaryAndScriptAllowed">
            <summary> 
            Whether or not to allow binary programs and scripts to run 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ProgramGlobal.RunJavaAllowed">
            <summary> 
            Whether or not to allow Java programs to run 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ProgramGlobal.JavaImpersonationUsed">
            <summary> 
            Whether or not to use impersonation for Java programs 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ProgramGlobal.GlobalCredentialsEnabled">
            <summary> 
            Whether or not to enable global credentials when credentials are not available during schedule time 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ProgramGlobal.UserName">
            <summary> 
            Set global user name 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ProgramGlobal.Password">
            <summary> 
            Set global password 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ProgramGlobal.HasPassword">
            <summary> 
            Check if password exists 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.ProgramGlobal.IsPasswordNotEmpty">
            <summary> 
            Check if the password is not empty 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.Program.ProgramType">
            <summary> 
            Set the program type 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.Program.BinaryProgram">
            <summary> 
            Get binary program interface 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.Program.JavaProgram">
            <summary> 
            Get java program interface 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.Program.ScriptProgram">
            <summary> 
            Get script program interface 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.Program.ResultMimeType">
            <summary> 
            Mime type for the result data 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.Program.ResultByteStream">
            <summary> 
            Result data returned as an array of bytes 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.Program.CorporateCategories">
            <summary> 
            Parent corporate categories returned as IDs. 
            </summary> 
        </member>
        <member name="P:CrystalDecisions.Enterprise.Desktop.Program.PersonalCategories">
            <summary> 
            Parent personal categories returned as IDs. 
            </summary> 
        </member>
    </members>
</doc>
